## randtype 1.13

=== Makefile ===
#
# This is the Makefile for randtype. If you don't have the random() function
# remove the apropriate define. The others are defaults for character delays 
# on output; they can be changed at runtime. 
#
CC		= gcc
CFLAGS		= -Wall -ansi -pedantic -O2 -g
DEFINES		= -DDEF_MS=18 -DDEF_MULT=20000 -DHAVE_RANDOM
LIBS		= -lz

#-------------------------------------------------------------------------------
# Shouldnt need to edit anything below here.
#-------------------------------------------------------------------------------
MANPAGE_DIR	= /usr/local/share/man
MANPAGE_SECTION	= 1
DEFINES		+= -D_GNU_SOURCE -DHAVE_ZLIB
TARGET		= randtype
OBJS		= randtype.o

all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) $(DEFINES) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) $(DEFINES) -o $(TARGET) $(OBJS) $(LIBS)

install: all
	install -cp -m 0644 -o root $(TARGET).$(MANPAGE_SECTION).gz \
		$(MANPAGE_DIR)/man$(MANPAGE_SECTION)
	install -cps -m 0755 -o root $(TARGET) /usr/local/bin

tags:
	rm -f tags
	ctags *.c

clean:
	rm -f $(TARGET) $(OBJS) core

realclean: clean
	rm -f tags

=== debian/changelog ===
randtype (1.13-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-14 (Closes: #1075434)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 06 Oct 2024 16:50:30 +0200

randtype (1.13-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007488)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #929162)

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jun 2024 13:36:14 +0000

randtype (1.13-11) unstable; urgency=low

  * debian/compat:
    - Bumped to 9.
  * debian/control:
    - Bumped Standards-Version to 3.9.6, no changes needed.
    - Bumped debhelper build-dependency to (>= 9).
  * debian/rules:
    - Converted to use override_* targets.
    - Pass forward all flags provided by dpkg-buildflags.
    - Removed an obsolete author comment.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 29 Aug 2015 14:10:15 +0300

randtype (1.13-10) unstable; urgency=low

  * debian/control:
    - Updated my mail address.
    - Bumped Standards-Version to 3.9.1, no changes needed.
    - Added a dependency on ${misc:Depends}, since we use debhelper.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 12 Feb 2011 14:31:19 +0200

randtype (1.13-9) unstable; urgency=low

  * debian/control:
    - Moved 'Homepage' field to source package.
  * debian/rules:
    - Extended 'clean' rule: now it deletes temporary man page.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 22 Jun 2008 01:22:01 +0300

randtype (1.13-8) unstable; urgency=low

  * Fixed lintian warning by converting hyphens to minuses in man page.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 22 Jun 2008 00:28:17 +0300

randtype (1.13-7) unstable; urgency=low

  * debian/rules:
    - Made call to $(MAKE) with substituing CFLAGS and CC variables, this
      makes unneeded to patch upstream Makefile.
  * debian/control:
    - Added a 'Homepage' field.
  * debian/watch:
    - Added.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 21 Jun 2008 14:03:27 +0300

randtype (1.13-6) unstable; urgency=low

  * debian/rules:
    - Support 'nostrip' option in DEB_BUILD_OPTS (closes: #437879). 
  * Made a patch to Makefile to build package with the CFLAGS, provided
    by dpkg-buildpackage, nor the upstream CFLAGS.
  * debina/copyright:
    - Provides actual path to sources (closes: #457175).

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 16 Jun 2008 04:20:27 +0300

randtype (1.13-5) unstable; urgency=low

  * New maintainer (Closes: #406623).
  * debian/control:
    - Updated 'Maintainer' field.
    - Updated 'Standards-Version' field to 3.8.0.
      + Main package binary now lies in /usr/games, not in /usr/bin.
  * debian/rules:
    - Rewritten using debhelper v7.
  * debian/copyright:
    - Added 'Copyright' field.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Mon, 16 Jun 2008 03:24:24 +0300

randtype (1.13-4) unstable; urgency=medium

  * orphaned the package
  * debian/rules bashism fixed (closes: bug#378197)
  * updated FSF address
  * updated Standards-Version.

 -- LENART Janos <ocsi@debian.org>  Fri, 12 Jan 2007 14:55:40 +0100

randtype (1.13-3) unstable; urgency=low

  * NMU ACK. (closes: bug#190511)
  * Upgraded Standards-Version.
  * Made lintian clean.

 -- LENART Janos <ocsi@debian.org>  Sat, 21 Jan 2006 15:36:51 +0100

randtype (1.13-2.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on zlib1g-dev.  Closes: #190511.
  * Remove /usr/doc/randtype symlink.

 -- Daniel Schepler <schepler@debian.org>  Sun, 17 Aug 2003 23:21:07 -0700

randtype (1.13-2) unstable; urgency=low

  * Fixed debian/{post,pre}{inst,rem}.              (closes: Bug#126033)

 -- Lenart Janos <ocsi@debian.org>  Sat, 22 Dec 2001 14:32:53 +0100

randtype (1.13-1) unstable; urgency=low

  * Initial Release.

 -- Lenart Janos <ocsi@debian.org>  Sat,  8 Dec 2001 10:59:07 +0100

=== debian/control ===
Source: randtype
Section: games
Priority: optional
Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://bjk.sourceforge.net/randtype/

Package: randtype
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: semi-random text typer
 Randtype is a small utility to output characters or lines at random intervals.
 There are a few command line options to refine the output. With it you can
 output files to the screen, and if you configured it well, it will look like
 someone is actually typing - with optional typos even.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f randtype.1

override_dh_auto_build:
	dh_auto_build -- CFLAGS="${CFLAGS}" LIBS="-lz ${LDFLAGS}"

binary-arch: build
override_dh_auto_install:
	dh_install randtype usr/games/

override_dh_installman:
	gunzip randtype.1.gz -c > randtype.1
	sed -i 's/\B-/\\-/g' randtype.1
	dh_installman randtype.1

=== debian/watch ===
version=3
http://sf.net/bjk/ randtype-(.+)\.tar\.gz
